Change Password
POST /api/v1/auth/web/change-password
POST
/api/v1/auth/web/change-password
Change the authenticated user’s password.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
current_password
required
The current password.
string
oldsecretpassword password
required
The new password. Must be at least 8 characters.
string
newsecretpassword password_confirmation
required
New password confirmation. Must match password.
string
newsecretpasswordResponses
Section titled “ Responses ”object
message
string
Password changed successfully.{ "message": "Password changed successfully."}Unauthenticated
object
message
string
Unauthenticated.{ "message": "Unauthenticated."}Wrong current password
object
message
string
The given data was invalid. errors
object
current_password
Array<string>
[ "The current password is incorrect."]{ "message": "The given data was invalid.", "errors": { "current_password": [ "The current password is incorrect." ] }}